Listar disputas
curl --request GET \
--url https://api-payment.safefypay.com.br/v1/disputes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-payment.safefypay.com.br/v1/disputes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-payment.safefypay.com.br/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-payment.safefypay.com.br/v1/disputes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-payment.safefypay.com.br/v1/disputes")
.header("Authorization", "Bearer <token>")
.asString();{
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "Open",
"reason": "Fraud",
"amount": 123,
"currency": "BRL",
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com"
},
"openedAt": "2023-11-07T05:31:56Z",
"responseDeadline": "2023-11-07T05:31:56Z",
"hasResponse": true,
"evidencesCount": 123,
"holdState": "None",
"heldAmount": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"pageSize": 123,
"totalItems": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
},
"message": "<string>",
"error": {
"message": "Token invalido ou expirado.",
"code": "unauthorized"
}
}{
"data": null,
"message": "<string>",
"error": {
"message": "Token invalido ou expirado.",
"code": "unauthorized"
}
}{
"data": null,
"message": "<string>",
"error": {
"message": "Token invalido ou expirado.",
"code": "unauthorized"
}
}Disputes
List disputes
List MED and dispute cases for the authenticated merchant
GET
/
v1
/
disputes
Listar disputas
curl --request GET \
--url https://api-payment.safefypay.com.br/v1/disputes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-payment.safefypay.com.br/v1/disputes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-payment.safefypay.com.br/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-payment.safefypay.com.br/v1/disputes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-payment.safefypay.com.br/v1/disputes")
.header("Authorization", "Bearer <token>")
.asString();{
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "Open",
"reason": "Fraud",
"amount": 123,
"currency": "BRL",
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com"
},
"openedAt": "2023-11-07T05:31:56Z",
"responseDeadline": "2023-11-07T05:31:56Z",
"hasResponse": true,
"evidencesCount": 123,
"holdState": "None",
"heldAmount": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"pageSize": 123,
"totalItems": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
},
"message": "<string>",
"error": {
"message": "Token invalido ou expirado.",
"code": "unauthorized"
}
}{
"data": null,
"message": "<string>",
"error": {
"message": "Token invalido ou expirado.",
"code": "unauthorized"
}
}{
"data": null,
"message": "<string>",
"error": {
"message": "Token invalido ou expirado.",
"code": "unauthorized"
}
}Returns the authenticated merchant’s cases in reverse opening order. Use
status=Open to find cases that still require a response.Authorizations
Token JWT obtido via /v1/auth/token
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Filtra pelo status atual da disputa.
Available options:
Open, MerchantResponded, UnderReview, Won, Lost, Expired, Cancelled